mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
main_window.c File Reference
`#include "main_window.h"`

Go to the source code of this file.

## Functions
void | add_filters_to_file_chooser (GtkWidget *file_chooser)
void | cancel_button_event (GtkWidget *widget, ui_state *ui)
void | create_application (ui_state *ui)
gchar * | get_input_filename (gui_state *gui)
gint | get_is_splitting_safe (ui_state *ui)
gint | get_process_in_progress_safe (ui_state *ui)
gint | get_split_file_mode_safe (ui_state *ui)
void | print_status_bar_confirmation (gint error, ui_state *ui)
void | print_status_bar_confirmation_in_idle (gint error, ui_state *ui)
void | put_status_message (const gchar *text, ui_state *ui)
void | put_status_message_with_type (const gchar *text, splt_message_type mess_type, ui_state *ui)
void | remove_status_message (gui_state *gui)
void | set_input_filename (const gchar *filename, ui_state *ui)
void | set_is_splitting_safe (gboolean value, ui_state *ui)
void | set_process_in_progress_and_wait_safe (gboolean value, ui_state *ui)
void | set_process_in_progress_safe (gboolean value, ui_state *ui)
void | set_split_file_mode_safe (gint file_mode, ui_state *ui)
void | set_stop_split_safe (gboolean value, ui_state *ui)
void | split_button_event (GtkWidget *widget, ui_state *ui)

## Detailed Description

The main window

main file that initialises the menubar, the toolbar, the tabs, about window, status error messages

Definition in file main_window.c.

## Function Documentation

void cancel_button_event | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

event for the cancel button

Definition at line 300 of file main_window.c.

References put_status_message().

Referenced by disconnect_button_event().

gchar* get_input_filename | ( | gui_state * | gui | ) |

Get the name of the input file.

Returns
  - The name of the input file, if set.
  - "", otherwise.

Definition at line 76 of file main_window.c.

Referenced by change_current_filename(), check_update_down_progress_bar(), connect_to_player_with_song(), disconnect_button_event(), gstreamer_get_filename(), gstreamer_start(), and update_output_options().

void print_status_bar_confirmation | ( | gint | error,
|  | ui_state * | ui
| ) |  |

Output an error message from libmp3splt to the status bar.

Parameters

  The | error number from the library.

Definition at line 1115 of file main_window.c.

References put_status_message().

Referenced by update_output_options(), and update_splitpoints_from_mp3splt_state().

void put_status_message | ( | const gchar * | text,
|  | ui_state * | ui
| ) |  |

Output a info message to the status message bar.

The message type is automatically set to SPLT_MESSAGE_INFO. If you don't want that use put_status_message instead.

Parameters

  text | The text that has to be displayed.

Definition at line 264 of file main_window.c.

References put_status_message_with_type().

Referenced by cancel_button_event(), gstreamer_start(), player_quick_preview(), print_processing_file(), print_status_bar_confirmation(), split_button_event(), and update_splitpoint().

void put_status_message_with_type | ( | const gchar * | text,
|  | splt_message_type | mess_type,
|  | ui_state * | ui
| ) |  |

Output a message to the status message bar.

Parameters

  text | The text that has to be displayed.
  splt_message_type | The type of the message.

If the type is to be set to SPLT_MESSAGE_INFO put_status_message can be used instead; The enum for the message types is defined in libmp3splt.h

Definition at line 278 of file main_window.c.

References put_message_in_history().

Referenced by put_status_message().

void remove_status_message | ( | gui_state * | gui | ) |

Removes status bar message.

Used for the ok button event.

Definition at line 252 of file main_window.c.

Referenced by import_event(), import_file(), remove_all_rows(), remove_splitpoint(), and select_splitpoint().

void set_input_filename | ( | const gchar * | filename,
|  | ui_state * | ui
| ) |  |

Set the name of the input file.

Definition at line 44 of file main_window.c.

Referenced by change_current_filename().

void split_button_event | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

event for the split button

Definition at line 428 of file main_window.c.

References get_output_directory(), and put_status_message().